Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# CullBinAttrib Class Reference

Assigns geometry to a particular bin by name. More...

Inheritance diagram for CullBinAttrib:

List of all members.

## Public Member Functions
string | getBinName ()
| Returns the name of the bin this attribute specifies.
int | getDrawOrder ()
| Returns the draw order this attribute specifies.
## Static Public Member Functions
static int | getClassSlot ()
static TypeHandle | getClassType ()
static RenderAttrib const | make (string bin_name, int draw_order)
| Constructs a new CullBinAttrib assigning geometry into the named bin.
static RenderAttrib const | makeDefault ()
| Returns a RenderAttrib that corresponds to whatever the standard default properties for render attributes of this type ought to be.

## Detailed Description

Assigns geometry to a particular bin by name.

The bins must be created separately via the CullBinManager interface.

## Member Function Documentation

string getBinName | ( |  | ) |

Returns the name of the bin this attribute specifies.

If this is the empty string, it refers to the default bin.

static int getClassSlot | ( |  | ) | `[static]`

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from RenderAttrib.

int getDrawOrder | ( |  | ) |

Returns the draw order this attribute specifies.

Some bins (in particular, CullBinFixed bins) use this to further specify the order in which objects should be rendered.

static RenderAttrib const make | ( | string | bin_name,
|  | int | draw_order
| ) |  | `[static]`

Constructs a new CullBinAttrib assigning geometry into the named bin.

If the bin name is the empty string, the default bin is used.

The draw_order specifies further ordering information which is relevant only to certain kinds of bins (in particular CullBinFixed type bins).

static RenderAttrib const makeDefault | ( |  | ) | `[static]`

Returns a RenderAttrib that corresponds to whatever the standard default properties for render attributes of this type ought to be.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties